# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "auraxis"
version = "0.3.0"
authors = ["AnotherGenZ"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "API & ESS client for Planetside 2 Census API"
documentation = "https://docs.rs/auraxis"
readme = "README.md"
keywords = [
    "census",
    "planetside",
]
categories = ["api-bindings"]
license = "MIT"
repository = "https://github.com/AnotherGenZ/auraxis-rs"
resolver = "2"

[features]
api = [
    "dep:auraxis_macros",
    "dep:reqwest",
]
strum = ["dep:strum"]

[lib]
name = "auraxis"
path = "src/lib.rs"

[[example]]
name = "api"
path = "examples/api.rs"
required-features = ["api"]

[[example]]
name = "realtime"
path = "examples/realtime.rs"

[dependencies.anyhow]
version = "1.0.64"

[dependencies.async-trait]
version = "0.1.58"

[dependencies.auraxis_macros]
version = "0.1.0"
optional = true

[dependencies.chrono]
version = "0.4.22"
features = ["serde"]

[dependencies.futures]
version = "0.3.24"

[dependencies.futures-util]
version = "0.3.24"

[dependencies.metrics]
version = "0.24.3"

[dependencies.num_enum]
version = "0.7.6"

[dependencies.reqwest]
version = "0.13.2"
features = [
    "json",
    "query",
]
optional = true

[dependencies.serde]
version = "1.0.144"
features = [
    "derive",
    "serde_derive",
]

[dependencies.serde_json]
version = "1.0.85"

[dependencies.serde_with]
version = "3.18.0"
features = ["chrono"]

[dependencies.stream-reconnect]
version = "0.3.4"

[dependencies.strum]
version = "0.28.0"
features = ["derive"]
optional = true

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tokio]
version = "1.21.0"
features = [
    "sync",
    "time",
    "rt",
    "net",
    "macros",
]

[dependencies.tokio-tungstenite]
version = "0.29.0"
features = [
    "connect",
    "native-tls-vendored",
]

[dependencies.tracing]
version = "0.1.36"

[dev-dependencies.tracing-subscriber]
version = "0.3"
